Bug 440061 - prefdm should probably have respawn
prefdm should probably have respawn
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: event-compat-sysv (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 11:34 EDT by jmccann
Modified: 2015-01-14 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 10:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2008-04-01 11:34:15 EDT
Seems like currently /etc/event.d/prefdm doesn't have the respawn flag.  I
suppose it should.
Comment 1 jmccann 2008-04-02 13:20:04 EDT
On the other hand, ,I guess one case were we shouldn't try to respawn is when
the X server won't start (as in rawhide today).
Comment 2 Orion Poplawski 2008-04-02 14:01:47 EDT
This is needed.  Old init would blacklist an entry after multiple crashes (foo
is respawning too fast - disabling for 5 minutes).

But now if I kill kdm, it is not restarted, which is bad.
Comment 3 Bill Nottingham 2008-04-02 14:21:25 EDT
You can set limits on respawn.
Comment 4 Bill Nottingham 2008-04-04 10:29:05 EDT
Fixing component, will have a fix here shortly.
Comment 5 Bill Nottingham 2008-04-04 10:54:33 EDT
Fixed in -12.

Note You need to log in before you can comment on or make changes to this bug.